std::set_unexpected(3)

NAME
std::set_unexpected - std::set_unexpected

Synopsis
   Defined in header <exception>
   std::unexpected_handler set_unexpected( std::unexpected_handler (until C++11)
   f ) throw();
   std::unexpected_handler set_unexpected( std::unexpected_handler (since C++11)
   f ) noexcept; (deprecated)
                        (removed in C++17)
   Makes f the new global std::unexpected_handler and returns the previously installed
   std::unexpected_handler.
   This function is thread-safe. Every call to std::set_unexpected
   synchronizes-with (see std::memory_order) the subsequent calls to (since C++11)
   std::set_unexpected and std::get_unexpected

Parameters
   f - pointer to function of type std::unexpected_handler, or null pointer

Return value
   The previously-installed unexpected handler, or a null pointer value if none was
   installed.

See also
   unexpected function called when dynamic exception specification is
   (removed in C++17) violated
                        (function)
   get_unexpected obtains the current unexpected_handler
   (C++11)(removed in C++17) (function)
   unexpected_handler the type of the function called by std::unexpected
   (removed in C++17) (typedef)